httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stas Bekman <s...@stason.org>
Subject Re: libapreq-1: new 1.4 release?
Date Mon, 06 Dec 2004 15:08:01 GMT
David Wheeler wrote:
> On Dec 5, 2004, at 7:14 PM, Stas Bekman wrote:
> 
>> http://apache.org/~stas/libapreq-1.3.tar.gz
> 
> 
> I do get quite a few warnings on Panther:

> /usr/local/lib/perl5/site_perl/5.8.5/darwin-2level/auto/Apache/include/include/hsregex.h:22:1:

> warning: "ap_private_extern" redefined
> In file included from  
> /usr/local/lib/perl5/site_perl/5.8.5/darwin-2level/auto/Apache/include/include/httpd.h:29,
>                  from apache_request.h:20,
>                  from apache_request.c:18:
> /usr/local/lib/perl5/site_perl/5.8.5/darwin-2level/auto/Apache/include/include/ap_config.h:1065:1:

> warning: this is the location of the previous definition

Those are apache-1.3 problems. Feel free to report those to the httpd-dev 
list. I think there are no more warnings now that strEQ  warns are fixed.

> I also got test failures with Apple's Perl and Apache:
> 
> geertz% make test

> t/apreq/cookie.......Can't locate HTTP/Cookies.pm in @INC (@INC  

needed LWP requirement, fixed in svn

> t/apreq/inherit......NOK 1# Failed test 1 in t/apreq/inherit.t at line  11
> t/apreq/inherit......FAILED test 1
>         Failed 1/1 tests, 0.00% okay

please run this test:

% t/TEST -v t/apreq/inherit

and post the relevant bits from error_log

> t/apreq/request......ok 1/2Can't locate object method "new" via package  
> "HTTP::Request" at  

needed LWP requirement, fixed in svn

> Also, here's a patch that fixes some typos in INSTALL.MacOSX, and  
> removes the section on changing the contents of Request/Makefile.PL and  
> Cookie/Makefile.PL--I don't believe those changes are necessary  
> anymore, since "-lapreq" isn't in those files anymore. But this be  
> related to the test failures with Apple's Apache and Perl?

I think not. Thanks for the patch David, but could you send it as an 
attachment, it fails to apply.

>  And finally, the normal Perl build of libapreq should work. Note that  
> you'll
>  need libwwwperl and URI installed in order to run make test.

Yup. Which tests require URI? I've added only LWP requirement. Please send 
a patch, like:

   plan tests => 10, need ['URI'];

-- 
__________________________________________________________________
Stas Bekman            JAm_pH ------> Just Another mod_perl Hacker
http://stason.org/     mod_perl Guide ---> http://perl.apache.org
mailto:stas@stason.org http://use.perl.org http://apacheweek.com
http://modperlbook.org http://apache.org   http://ticketmaster.com

Mime
View raw message